<?xml version="1.0" encoding="UTF-8"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->


<document>
  <properties>
    <title>Maven Source Control Management Plug-in Properties</title>
  </properties>
  <body>
    <section name="Maven Source Control Management Plug-in Settings">
      <subsection name="General SCM Settings">
      <table>
        <tr>
          <th>Property</th>
          <th>Optional?</th>
          <th>Description</th>
        </tr>
        <tr>
          <td>maven.scm.method</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>cvs</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.scm.checkout.dir</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${basedir}/checkouts</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.scm.check.tagged</td>
          <td>Yes</td>
          <td>
            <p>When <code>true</code>, you will be asked for confirmation if
              you are attempting to release from <code>HEAD</code>. 
              Default value is <code>true</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.scm.bootstrap.goals</td>
          <td>No</td>
          <td>
            <p>Goals to call on the checked out project.</p>
          </td>
        </tr>
        <tr>
          <td>maven.scm.bootstrap.pom.dir</td>
          <td>Yes</td>
          <td>
            <p>Where to find project.xml in the checked out project.</p>
          </td>
        </tr>
      </table>
      </subsection>
      <subsection name="CVS Settings">
      <table>
        <tr>
          <th>Property</th>
          <th>Optional?</th>
          <th>Description</th>
        </tr>
        <tr>
          <td>maven.scm.cvs.root</td>
          <td>Yes</td>
          <td>
            <p>Default value is taken from CVSROOT in the environment.</p>
          </td>
        </tr>
        <tr>
          <td>maven.scm.cvs.update.flags</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>-Pd</code>. Note that any environment settings
              (eg .cvsrc) will also affect this.</p>
          </td>
        </tr>
        <tr>
          <td>maven.scm.cvs.module</td>
          <td>No</td>
          <td>
            <p>The CVS module to checkout</p>
          </td>
        </tr>
        <tr>
          <td>maven.scm.cvs.sticky.tag</td>
          <td>Yes</td>
          <td>
            <p>Sticky tag to use when checking out or updating. Default is none.</p>
          </td>
        </tr>
        <tr>
          <td>maven.scm.cvs.quiet</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>true</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.scm.cvs.checkout.flags</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>-P</code>. Note that any environment settings
              (eg .cvsrc) will also affect this.</p>
          </td>
        </tr>
        <tr>
          <td>maven.scm.cvs.rsh</td>
          <td>Yes</td>
          <td>
            <p>Default value is taken from CVS_RSH in the environment.</p>
          </td>
        </tr>
      </table>
      </subsection>
    </section>
  </body>
</document>
